Bug 56458 - [PATCH] sysinstall: adapt exim settings to rc.subr(8) usage
Summary: [PATCH] sysinstall: adapt exim settings to rc.subr(8) usage
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 5.1-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tom Rhodes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-04 22:00 UTC by Oliver Eikemeier
Modified: 2003-09-22 18:49 UTC (History)
1 user (show)

See Also:


Attachments
sysinstall.patch (2.14 KB, patch)
2003-09-04 22:00 UTC, Oliver Eikemeier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Eikemeier 2003-09-04 22:00:38 UTC
Tweak some of the settings done by sysinstall in
  Configure > Networking > Mail > Exim

This is a followup to PR ports/56450:
  http://www.freebsd.org/cgi/query-pr.cgi?pr=56450
but works with earlier exim packages too.

- add 'enable_exim="YES"' to rc.conf(5)
- exim now has a default configure file in the package
- disable some more scripts that use sendmail specific parameters
- tweak mailer.conf(5) substitution
- use 'N' flag for newsyslog(8)

Thanks to all who have worked on bringing support for alternative MTAs to FreeBSD.
Comment 1 Simon L. B. Nielsen freebsd_committer 2003-09-04 22:26:24 UTC
On 2003.09.04 22:55:28 +0200, Oliver Eikemeier wrote:
> - add 'enable_exim="YES"' to rc.conf(5)
> - exim now has a default configure file in the package
> - disable some more scripts that use sendmail specific parameters
> - tweak mailer.conf(5) substitution
> - use 'N' flag for newsyslog(8)


I don't use exim, so I can't comment on whether the changes with regards
to exim options are correct, but otherwise the patch looks good to me.

> Thanks to all who have worked on bringing support for alternative MTAs
> to FreeBSD.


Nice to know that someone likes it :-).

> >Fix:
> 
> --- sysinstall.patch begins here ---
> --- src/usr.sbin/sysinstall/config.c.orig	Fri Aug 22 11:56:54 2003
> +++ src/usr.sbin/sysinstall/config.c	Thu Sep  4 22:17:44 2003
> @@ -1201,14 +1201,7 @@
>      }
>  
>      variable_set2(VAR_SENDMAIL_ENABLE, "NONE", 1);
> -
> -    if(file_readable("/usr/local/etc/exim/configure.default") &&
> -	!file_readable("/usr/local/etc/exim/configure")) {
> -	if(vsystem("cp /usr/local/etc/exim/configure.default /usr/local/etc/exim/configure"))
> -	    msgConfirm("An error occurred while coping the exim configuration file.\n"
> -		       "Please check if exim is working after you have completed this\n"
> -		       "installation.\n");
> -    }
> +    variable_set2("exim_enable", "YES", 1);


This was one of the "hacks" that I wasn't too happy about.  Nice to see
it go away :-).

-- 
Simon L. Nielsen
FreeBSD Documentation Team
Comment 2 Sheldon Hearn 2003-09-10 14:52:11 UTC
On (2003/09/04 16:24), Tom Rhodes wrote:

> > This is a followup to PR ports/56450:
> >   http://www.freebsd.org/cgi/query-pr.cgi?pr=56450
> > but works with earlier exim packages too.
> 
> You're welcome, from this end anyways.  I'll look over this and
> hopefully commit soon.  Thanks for the submission!

Tom, I've committed ports/56450, so you're good to go with this one.

Ciao,
Sheldon.
Comment 3 Tom Rhodes freebsd_committer 2003-09-10 21:13:22 UTC
On Wed, 10 Sep 2003 15:52:11 +0200
Sheldon Hearn <sheldonh@starjuice.net> wrote:

> On (2003/09/04 16:24), Tom Rhodes wrote:
> 
> > > This is a followup to PR ports/56450:
> > >   http://www.freebsd.org/cgi/query-pr.cgi?pr=56450
> > > but works with earlier exim packages too.
> > 
> > You're welcome, from this end anyways.  I'll look over this and
> > hopefully commit soon.  Thanks for the submission!
> 
> Tom, I've committed ports/56450, so you're good to go with this one.
> 
> Ciao,
> Sheldon.
> 

Just committed.  I did a test build first as must be done before any
commit.  Thanks for the submission Oliver!

-- 
Tom Rhodes
Comment 4 Oliver Eikemeier 2003-09-10 22:20:58 UTC
Tom Rhodes wrote:

> On Wed, 10 Sep 2003 15:52:11 +0200
> Sheldon Hearn <sheldonh@starjuice.net> wrote:
>
>>On (2003/09/04 16:24), Tom Rhodes wrote:
>>
>>>>This is a followup to PR ports/56450:
>>>>  http://www.freebsd.org/cgi/query-pr.cgi?pr=56450
>>>>but works with earlier exim packages too.
>>>
>>>You're welcome, from this end anyways.  I'll look over this and
>>>hopefully commit soon.  Thanks for the submission!
>>
>>Tom, I've committed ports/56450, so you're good to go with this one.
>>
>>Ciao,
>>Sheldon.
>
> Just committed.  I did a test build first as must be done before any
> commit.  Thanks for the submission Oliver!

Thanks to you all for your work! The way was already paved for me, I only
had to plant some flowers along the roadside.
Comment 5 Tom Rhodes freebsd_committer 2003-09-10 22:25:21 UTC
State Changed
From-To: open->patched

Assign to me.  Committed to CURRENT, I'll MFC soon.  Thanks for the submission! 


Comment 6 Tom Rhodes freebsd_committer 2003-09-10 22:25:21 UTC
Responsible Changed
From-To: freebsd-bugs->trhodes

Assign to me.  Committed to CURRENT, I'll MFC soon.  Thanks for the submission!
Comment 7 Tom Rhodes freebsd_committer 2003-09-22 18:48:16 UTC
State Changed
From-To: patched->closed

MFC of the sysinstall(8) MTA code is complete.  Thanks for the submission!